Name:		cacti-plugins-boost
Version:	5.1
Release:	1%{?dist}
Summary:	Large Site Performance Booster for Cacti

Group:		Applications/System
License:	GPLv2
URL:		http://docs.cacti.net/
#Source0:	http://docs.cacti.net/_media/plugin:boost-v5.1-1.tgz
Source0:	boost-v5.1-1.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	cacti >= 0.8.8
Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/service, /sbin/chkconfig
Requires(postun):	/sbin/service

%description
This plugin boost's Cacti performance especially for Large Sites.  It does
this by introducing three new features to Cacti.

%prep
%setup -q -n boost

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
sed -i \
	-e "s|/var/www/html/cacti/log/boost.log|%{_localstatedir}/log/cacti/boost.log|g" \
	-e "s|/var/www/html/cacti/plugins/plugins/boost/|%{_datadir}/cacti/plugins/boost/|g" \
cacti_rrdsvc
%{__install} -m0755 cacti_rrdsvc $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/boost
for f in `find . -name \*.php -maxdepth 1`
do
	%{__install} -m0644 $f $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/boost
done
%{__chmod} +x boost_rrdupdate.php boost_server.php


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add cacti_rrdsvc || :
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/service cacti_rrdsvc stop &>/dev/null || :
	/sbin/chkconfig --del cacti_rrdsvc || :
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service cacti_rrdsvc restart &>/dev/null || :
else
	/sbin/service cacti_rrdsvc reload &>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc README LICENSE *.sql *.conf
%{_sysconfdir}/rc.d/init.d/cacti_rrdsvc
%{_datadir}/cacti/plugins/boost/*


%changelog
* Fri Apr 13 2012 momo-i <webmaster@momo-i.org> - 5.1-1
- Initial rpm release.
